<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{94FE2AC5-787C-41D0-882A-61DA973EA378}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>HistoryWallEditTool</RootNamespace>
    <AssemblyName>HistoryWallEditTool</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="FirstFloor.ModernUI, Version=1.0.5.0, Culture=neutral, PublicKeyToken=2d21ec3cd074c59a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\FirstFloor.ModernUI.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Windows.Shell, Version=3.5.41019.1, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\Microsoft.Windows.Shell.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsAPICodePack, Version=1.1.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\Microsoft.WindowsAPICodePack.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.WindowsAPICodePack.Shell, Version=1.1.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\Microsoft.WindowsAPICodePack.Shell.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=4.5.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CommonClass.cs" />
    <Compile Include="ControlsForData\CommonClass.cs" />
    <Compile Include="ControlsForData\DetailDataMediaChild.xaml.cs">
      <DependentUpon>DetailDataMediaChild.xaml</DependentUpon>
    </Compile>
    <Compile Include="ControlsForData\DetailDataViewer.xaml.cs">
      <DependentUpon>DetailDataViewer.xaml</DependentUpon>
    </Compile>
    <Compile Include="ControlsForData\EventCreator.xaml.cs">
      <DependentUpon>EventCreator.xaml</DependentUpon>
    </Compile>
    <Compile Include="ControlsForData\EventCreatorCom.cs" />
    <Compile Include="ControlsForData\MainContainer.xaml.cs">
      <DependentUpon>MainContainer.xaml</DependentUpon>
    </Compile>
    <Compile Include="ControlsForData\MediaControllerLayout\CustomerSliderStyle.xaml.cs">
      <DependentUpon>CustomerSliderStyle.xaml</DependentUpon>
    </Compile>
    <Compile Include="ControlsForData\MediaControllerLayout\PlayCheckBoxStyle.cs" />
    <Compile Include="ControlsForData\MediaControllerLayout\StopButtonStyle.cs" />
    <Compile Include="ControlsForData\ReduceImageResolution.cs" />
    <Compile Include="ControlsForData\TaskDialogMsg.xaml.cs">
      <DependentUpon>TaskDialogMsg.xaml</DependentUpon>
    </Compile>
    <Compile Include="ControlsForData\UserEventItem.xaml.cs">
      <DependentUpon>UserEventItem.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\ColorPicker.xaml.cs">
      <DependentUpon>ColorPicker.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\DialogWindow.xaml.cs">
      <DependentUpon>DialogWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\DisplaySettingControl.xaml.cs">
      <DependentUpon>DisplaySettingControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\PreviewControl\DetailPreview.xaml.cs">
      <DependentUpon>DetailPreview.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\PreviewControl\RootController.xaml.cs">
      <DependentUpon>RootController.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\PreviewControl\SavePreviewControl.xaml.cs">
      <DependentUpon>SavePreviewControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\PreviewControl\ScreenViewer.xaml.cs">
      <DependentUpon>ScreenViewer.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\SelectDialogControl.xaml.cs">
      <DependentUpon>SelectDialogControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\SelectLangControl.xaml.cs">
      <DependentUpon>SelectLangControl.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\SettingControlHorizontal.xaml.cs">
      <DependentUpon>SettingControlHorizontal.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\SettingControlVertical.xaml.cs">
      <DependentUpon>SettingControlVertical.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\SettingWindow.xaml.cs">
      <DependentUpon>SettingWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="Controls\TestView.xaml.cs">
      <DependentUpon>TestView.xaml</DependentUpon>
    </Compile>
    <Compile Include="GlobalFunction.cs" />
    <Compile Include="HistoryWallSubFunction.cs" />
    <Compile Include="Utilities\DataCollection.cs" />
    <Compile Include="Utilities\UtilityClass.cs" />
    <EmbeddedResource Include="Assets\appbar.control.add.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.delete.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.downward.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Assets\appbar.control.upward.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Page Include="ControlsForData\DetailDataMediaChild.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ControlsForData\DetailDataViewer.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ControlsForData\EventCreator.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ControlsForData\MainContainer.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ControlsForData\MediaControllerLayout\CustomerSliderStyle.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ControlsForData\TaskDialogMsg.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ControlsForData\UserEventItem.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\ColorPicker.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\DialogWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\DisplaySettingControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\PreviewControl\DetailPreview.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\PreviewControl\RootController.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\PreviewControl\SavePreviewControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\PreviewControl\ScreenViewer.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\SelectDialogControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\SelectLangControl.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\SettingControlHorizontal.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\SettingControlVertical.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\SettingWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Controls\TestView.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Content Include="Culture\StringResource.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Culture\StringResources.en-US.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Culture\StringResources.zh-TW.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Page Include="HistoryWall.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Compile Include="EventArg\ColorEventArgs.cs" />
    <Compile Include="Helper\UtilityFunctions.cs" />
    <Compile Include="JsonFile\HistoryWallEventJson.cs" />
    <Compile Include="HistoryWall.xaml.cs">
      <DependentUpon>HistoryWall.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Page Include="ModernWindowResource.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Style.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Image\bg.jpg" />
    <Resource Include="Image\ButtonClick\setBackground.png" />
    <Resource Include="Image\ButtonClick\setButtonTemplate.png" />
    <Resource Include="Image\ButtonClick\setContentTemplate.png" />
    <Resource Include="Image\ButtonClick\setDefaultLang.png" />
    <Resource Include="Image\ButtonClick\setEventCube.png" />
    <Resource Include="Image\ButtonClick\setExtentColor.png" />
    <Resource Include="Image\ButtonClick\setLogoImage.png" />
    <Resource Include="Image\ButtonClick\setTimeline.png" />
    <Resource Include="Image\color270x177.png" />
    <Resource Include="Image\color322x212.png" />
    <Resource Include="Image\common_BG.png" />
    <Resource Include="Image\launch_icon_config.ico" />
    <Resource Include="Image\MediaController\controller.png" />
    <Resource Include="Image\MediaController\mute.png" />
    <Resource Include="Image\MediaController\pause.png" />
    <Resource Include="Image\MediaController\play.png" />
    <Resource Include="Image\MediaController\soundDown.png" />
    <Resource Include="Image\MediaController\soundEmpty.png" />
    <Resource Include="Image\MediaController\soundMedium.png" />
    <Resource Include="Image\MediaController\soundUp.png" />
    <Resource Include="Image\MediaController\stop.png" />
    <Resource Include="Image\MediaController\transparent_bar_bk.png" />
    <Resource Include="Image\MediaController\transparent_item.png" />
    <Resource Include="Image\RGB_BG.png" />
    <Resource Include="Image\seBackground_BG.png" />
    <Resource Include="Image\setLanguage_BG.png" />
    <Resource Include="Image\setLogo_BG.png" />
    <Resource Include="Image\tabThumb.jpg" />
    <Resource Include="Image\thumb.png" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Content Include="Dll\FirstFloor.ModernUI.dll" />
    <Content Include="Dll\Microsoft.Windows.Shell.dll" />
    <Content Include="Dll\Microsoft.WindowsAPICodePack.dll" />
    <Content Include="Dll\Microsoft.WindowsAPICodePack.Shell.dll" />
    <Content Include="Dll\Newtonsoft.Json.dll" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>